Bug 28250 - Debug from Selenium error handler is no longer working
Summary: Debug from Selenium error handler is no longer working
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 26033 20757 25811
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-28 14:44 UTC by Jonathan Druart
Modified: 2021-05-25 14:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 28250: Remove upload of debug for Selenium failures (1.43 KB, patch)
2021-04-28 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28250: Remove upload of debug for Selenium failures (1.49 KB, patch)
2021-04-30 03:02 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-04-28 14:44:01 UTC
We added an upload of the source page and of the screenshot but both services are discontinued.
Comment 1 Jonathan Druart 2021-04-28 14:45:43 UTC
Created attachment 120275 [details] [review]
Bug 28250: Remove upload of debug for Selenium failures

We added an upload of the source page and of the screenshot but both services are discontinued.

If we need them back we must host them ourselves.
Comment 2 Victor Grousset/tuxayo 2021-04-30 03:02:08 UTC
Created attachment 120323 [details] [review]
Bug 28250: Remove upload of debug for Selenium failures

We added an upload of the source page and of the screenshot but both services are discontinued.

If we need them back we must host them ourselves.

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 3 Victor Grousset/tuxayo 2021-04-30 03:23:28 UTC
Works, the failures still work ^^

> If we need them back we must host them ourselves.

I wouldn't mind sending a few euros a year to a service hosting our fails, if we really need that again of course.
Comment 4 Jonathan Druart 2021-04-30 15:18:23 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-05-11 10:01:01 UTC
Pushed to 20.11.x for 20.11.06
Comment 6 Andrew Fuerste-Henry 2021-05-25 11:28:15 UTC
pushed to 20.05.x for 20.05.12
Comment 7 Victor Grousset/tuxayo 2021-05-25 14:00:20 UTC
Backported: Pushed to 19.11.x branch for 19.11.18